跳到主要内容

更新 Dedicated 集群 (V2)

Update the name or description of a dedicated cluster in the current project.

PATCH/v2/clusters/{CLUSTER_ID}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
OrgIdstringheader必填项

集群所属的组织 ID。

示例值:org-xxxxxxxxxxxxxxxxxxx
CLUSTER_IDstringpath必填项

当前操作的目标集群 ID。

示例值:inxx-xxxxxxxxxxxxxxx
请求体
clusterNamestring

集群的新名称。值不能为空字符串。

descriptionstring

集群的新描述。值可以为空字符串。

bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name",
"description": "This is the new description of the cluster."
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name"
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"description": ""
}'
响应

Returns the ID of the modified cluster.

codeinteger

Response code.

dataobject

Response payload.

clusterIdstring

ID of the cluster that has been modified.

promptstring

Prompt message returned.

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}
Ctrl I